View Issue Details

IDProjectCategoryView StatusLast Update
0015843ScribusOS-MacOSXpublic2019-10-10 07:58
ReporterKarel.duran@gmail.com Assigned To 
PriorityurgentSeverityblockReproducibilityalways
Status newResolutionopen 
PlatformMacOSMacOS CatalinaOS Version10.15
Product Version1.4.8 
Target VersionFixed in Version 
Summary0015843: Scribus will not install
Descriptionerror message that app must be adapted to work with this version of macOS
Steps To Reproducedownload Scribus 1.4.8 and try to install
TagsNo tags attached.
PatchNo

Activities

utnik

2019-10-10 07:55

updater   ~0046759

catalina doesn't support 32 bit applications any more – and afaik scribus 1.4.8 is in 32 bit.
probably a 'no fix' issue

ale

2019-10-10 07:58

manager   ~0046760

with catalina you need a 64 bit dmg of the development version scribus 1.5.

https://sourceforge.net/projects/scribus/files/scribus-devel/1.5.5/

(you will probably need the dmg at the top)

scribus 1.4 will not work with it.

you will need to downgrade your macos or use scribus 1.5.
be warned that documents edited with scribus 1.5 cannot be opened with scribus 1.4.
in your case, this is only an issue if you need to share the scribus files (.sla) with other people who are using scribus 1.4)

Issue History

Date Modified Username Field Change
2019-10-09 19:52 Karel.duran@gmail.com New Issue
2019-10-10 07:55 utnik Note Added: 0046759
2019-10-10 07:58 ale Note Added: 0046760